Author Topic: Way to get featurline code name from Corridor in Civil  (Read 1295 times)

0 Members and 1 Guest are viewing this topic.

cadplayer

  • Bull Frog
  • Posts: 390
  • Autocad Civil3d, OpenDCL.Runtime, LISP, .NET (C#)
Way to get featurline code name from Corridor in Civil
« on: January 14, 2016, 05:38:28 AM »
Hello!
Is there a way to pick on a featureline (in Civil3d) and get out Featureline code name.
Code: [Select]
(progn
  (setq sel (nentsel "\n Select object!"))
  (if sel
    (progn
      (setq vobj (vlax-ename->vla-object (car sel)))
      (setq CodeNames
   (vlax-safearray->list
     (vlax-get-property
       (vlax-get-property vobj 'FeatureLineCodeInfos)
       'CodeNames
       )
     )
  )
      )
    )
  CodeNames
  )

I only get all Codenames
->
Code: [Select]
("Daylight" "Daylight_Cut" "Daylight_Fill" "Daylight_Sub" "Ditch_In" "Ditch_Out" "EPS" "EPS_Base" "EPS_Pave1" "EPS_Pave2" "ETW" "ETW_Base" "ETW_Pave1" "ETW_Pave2" "ETW_Sub" "Hinge" "Hinge_Cut" "Hinge_Fill")

not that I have picked?!

ronjonp

  • Needs a day job
  • Posts: 7529
Re: Way to get featurline code name from Corridor in Civil
« Reply #1 on: January 14, 2016, 09:49:31 AM »
I don't even see the property you're using when I dump the object?
Quote
_$
; IAeccLandFeatureLine: IAeccLandFeatureLine interface
; Property values:
;   Application (RO) = #<VLA-OBJECT IAeccApplication 000001ee19589d90>
;   Description = ""
;   DisplayName (RO) = ""
;   Document (RO) = #<VLA-OBJECT IAeccDocument 000001ee0a3dc920>
;   ElevationPointsCount (RO) = 0
;   EntityTransparency = "ByLayer"
;   Handle (RO) = "B96"
;   HasExtensionDictionary (RO) = 0
;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 000001ee194e8cc8>
;   IsEditable (RO) = -1
;   Layer = "0"
;   Length2D (RO) = 2.94995
;   Length3D (RO) = 2.94995
;   Linetype = "ByLayer"
;   LinetypeScale = 1.0
;   Lineweight = -1
;   Material = "ByLayer"
;   MaxElevation (RO) = 0.0
;   MaxGrade (RO) = 0.0
;   MiniElevation (RO) = 0.0
;   MiniGrade (RO) = 0.0
;   Name = ""
;   ObjectID (RO) = 43
;   ObjectName (RO) = "AeccDbFeatureLine"
;   OwnerID (RO) = 44
;   PIPointsCount (RO) = 2
;   PlotStyleName = "ByLayer"
;   PointsCount (RO) = 2
;   ShowToolTip = -1
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 000001ee194e8c00>
;   Visible = -1
; Methods supported:
;   ArrayPolar (3)
;   ArrayRectangular (6)
;   Copy ()
;   Delete ()
;   DeleteFeaturePoint (1)
;   Get2dDistanceAtPoint (1)
;   Get2dDistanceBetweenPoints (2)
;   GetBoundingBox (2)
;   GetBulgeAtPoint (1)
;   GetDeflectionAngleAtPoint (1)
;   GetExtensionDictionary ()
;   GetGradesAtPoint (3)
;   GetPoints (1)
;   GetSurfaceIntersectPoints (1)
;   GetXData (3)
;   Highlight (1)
;   InsertFeaturePoint (2)
;   InsertFeaturePoints (2)
;   IntersectWith (2)
;   IsGradeBreak (1)
;   IsReferenceObject ()
;   IsReferenceStale ()
;   IsReferenceSubObject ()
;   IsReferenceValid ()
;   Mirror (2)
;   Mirror3D (3)
;   Move (2)
;   RaiseFeatureLine (1)
;   Rotate (2)
;   Rotate3D (3)
;   ScaleEntity (2)
;   SetBulgeAtPoint (2)
;   SetElevationsFromOffsetSource (1)
;   SetPointElevation (1)
;   SetPointsElevation (1)
;   SetXData (2)
;   TransformBy (1)
;   Update ()


T
_$

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC